<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Helper\Sample</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getFilename" title="getFilename ::Returns the filename that should be used for sample output.">
            <span class="description">Returns the filename that should be used for sample output.</span><pre>getFilename</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPageHeading" title="getPageHeading ::Return the page heading.">
            <span class="description">Return the page heading.</span><pre>getPageHeading</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPageTitle" title="getPageTitle ::Return the page title.">
            <span class="description">Return the page title.</span><pre>getPageTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSamples" title="getSamples ::Returns an array of all known samples.">
            <span class="description">Returns an array of all known samples.</span><pre>getSamples</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getScriptFilename" title="getScriptFilename ::Return the filename currently being executed.">
            <span class="description">Return the filename currently being executed.</span><pre>getScriptFilename</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTemporaryFilename" title="getTemporaryFilename ::Return a random temporary file name.">
            <span class="description">Return a random temporary file name.</span><pre>getTemporaryFilename</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isCli" title="isCli ::Returns whether we run on CLI or browser.">
            <span class="description">Returns whether we run on CLI or browser.</span><pre>isCli</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isIndex" title="isIndex ::Whether we are executing the index page.">
            <span class="description">Whether we are executing the index page.</span><pre>isIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_log" title="log ::">
            <span class="description"></span><pre>log</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logEndingNotes" title="logEndingNotes ::Log ending notes.">
            <span class="description">Log ending notes.</span><pre>logEndingNotes</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logRead" title="logRead ::Log a line about the read operation.">
            <span class="description">Log a line about the read operation.</span><pre>logRead</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logWrite" title="logWrite ::Log a line about the write operation.">
            <span class="description">Log a line about the write operation.</span><pre>logWrite</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_write" title="write ::Write documents.">
            <span class="description">Write documents.</span><pre>write</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getTemporaryFolder" title="getTemporaryFolder ::Returns the temporary directory and make sure it exists.">
                                <span class="description">Returns the temporary directory and make sure it exists.</span><pre>getTemporaryFolder</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Sample</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">Helper class to be used in sample code.</p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_getFilename"></a>
                        <div class="element clickable methodpublic method_getFilename" data-toggle="collapse" data-target=".method_getFilename .collapse">
                            <h2>Returns the filename that should be used for sample output.</h2>
                            <pre>getFilename(string $filename,string $extension = &#039;xlsx&#039;): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$filename</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$extension</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPageHeading"></a>
                        <div class="element clickable methodpublic method_getPageHeading" data-toggle="collapse" data-target=".method_getPageHeading .collapse">
                            <h2>Return the page heading.</h2>
                            <pre>getPageHeading(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPageTitle"></a>
                        <div class="element clickable methodpublic method_getPageTitle" data-toggle="collapse" data-target=".method_getPageTitle .collapse">
                            <h2>Return the page title.</h2>
                            <pre>getPageTitle(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSamples"></a>
                        <div class="element clickable methodpublic method_getSamples" data-toggle="collapse" data-target=".method_getSamples .collapse">
                            <h2>Returns an array of all known samples.</h2>
                            <pre>getSamples(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p><p>[$name =&gt; $path]</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getScriptFilename"></a>
                        <div class="element clickable methodpublic method_getScriptFilename" data-toggle="collapse" data-target=".method_getScriptFilename .collapse">
                            <h2>Return the filename currently being executed.</h2>
                            <pre>getScriptFilename(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTemporaryFilename"></a>
                        <div class="element clickable methodpublic method_getTemporaryFilename" data-toggle="collapse" data-target=".method_getTemporaryFilename .collapse">
                            <h2>Return a random temporary file name.</h2>
                            <pre>getTemporaryFilename(string $extension = &#039;xlsx&#039;): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$extension</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTemporaryFolder"></a>
                        <div class="element clickable methodprivate method_getTemporaryFolder" data-toggle="collapse" data-target=".method_getTemporaryFolder .collapse">
                            <h2>Returns the temporary directory and make sure it exists.</h2>
                            <pre>getTemporaryFolder(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isCli"></a>
                        <div class="element clickable methodpublic method_isCli" data-toggle="collapse" data-target=".method_isCli .collapse">
                            <h2>Returns whether we run on CLI or browser.</h2>
                            <pre>isCli(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isIndex"></a>
                        <div class="element clickable methodpublic method_isIndex" data-toggle="collapse" data-target=".method_isIndex .collapse">
                            <h2>Whether we are executing the index page.</h2>
                            <pre>isIndex(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_log"></a>
                        <div class="element clickable methodpublic method_log" data-toggle="collapse" data-target=".method_log .collapse">
                            <h2>log</h2>
                            <pre>log( $message)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$message</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_logEndingNotes"></a>
                        <div class="element clickable methodpublic method_logEndingNotes" data-toggle="collapse" data-target=".method_logEndingNotes .collapse">
                            <h2>Log ending notes.</h2>
                            <pre>logEndingNotes()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_logRead"></a>
                        <div class="element clickable methodpublic method_logRead" data-toggle="collapse" data-target=".method_logRead .collapse">
                            <h2>Log a line about the read operation.</h2>
                            <pre>logRead(string $format,string $path,float $callStartTime)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$format</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$path</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$callStartTime</h4>
                                                <code>float</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_logWrite"></a>
                        <div class="element clickable methodpublic method_logWrite" data-toggle="collapse" data-target=".method_logWrite .collapse">
                            <h2>Log a line about the write operation.</h2>
                            <pre>logWrite(\PhpOffice\PhpSpreadsheet\Writer\IWriter $writer,string $path,float $callStartTime)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$writer</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$path</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$callStartTime</h4>
                                                <code>float</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_write"></a>
                        <div class="element clickable methodpublic method_write" data-toggle="collapse" data-target=".method_write .collapse">
                            <h2>Write documents.</h2>
                            <pre>write(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet,string $filename,array&lt;mixed,string&gt; $writers = array(&#039;Xlsx&#039;, &#039;Xls&#039;))</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$filename</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$writers</h4>
                                                <code>array&lt;mixed,string&gt;</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Helper\Sample"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Helper.html">Helper</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Helper.Sample.html">Sample</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
